Bug 101687 - LanguageTool - double spaces in automatic line break aren't highlighted
Summary: LanguageTool - double spaces in automatic line break aren't highlighted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Proofreading
  Show dependency treegraph
 
Reported: 2016-08-23 15:01 UTC by Moritz Duge
Modified: 2023-12-02 06:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example ODT, containing a screenshot of it's own rendering on my computer. (121.70 KB, application/vnd.oasis.opendocument.text)
2016-09-03 17:03 UTC, Moritz Duge
Details
Screenshot proof of no repro with 5.3 (56.92 KB, image/png)
2016-09-28 18:48 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Duge 2016-08-23 15:01:52 UTC
LibreOffice <-> LanguageTool bug

LanguageTool bug:
https://github.com/languagetool-org/languagetool/issues/417#event-745984072

Please find a way together :-)


Usually LanguageTool (an grammar checking extension) highlights double spaces. But if there's an automatic line break in LibreOffice, right at the double spaces, no blue underline is visible.

You can tell that LanguageTool is recognizing an double space error on that position by navigating to it with the text cursor and pressing the context menu button (or shift F10) on your keyboard. It'll give you the usual LanguageTool context menu, telling you that there are are multiple spaces.


Tested with:

OS: openSUSE 13.2 Linux x86_64, system language is german
(KDE, but running LibreOffice with OOO_FORCE_DESKTOP=gnome environment variable set)

LibreOffice 5.1.3.2 (64 bit)
http://download.opensuse.org/repositories/LibreOffice:/5.1/openSUSE_13.2/

LanguageTool 3.3
Comment 1 Thomas Hackert 2016-08-29 16:38:05 UTC
Hello kolAflash, *,
I cannot confirm your bug with
OS: Debian Testing AMD64
LO: Version: 5.1.5.2
Build-ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

nor with

LO: Version: 5.2.0.4
Build-ID: 1:5.2.0-2
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: GL; 
Gebietsschema: de-DE (de_DE.UTF-8)
(Debian's own version)

and

LanguageTool 3.4

Are you using SuSE's version of LO or ours? And would you be so kind to test this with newer versions of LO and LanguageTool as well, please?
Have a nice evening
Thomas.
Comment 2 Moritz Duge 2016-09-03 17:03:53 UTC
Created attachment 127137 [details]
Example ODT, containing a screenshot of it's own rendering on my computer.

See my first comment for the software I used.


Just did another test with:

OS: openSUSE 42.1

LibreOffice:
https://download.documentfoundation.org/libreoffice/stable/5.2.0/rpm/x86_64/LibreOffice_5.2.0_Linux_x86-64_rpm.tar.gz

LanguageTool:
https://languagetool.org/download/LanguageTool-3.4.oxt

And I found out
--- under which conditions the bug happends ---

- use justified formatting

- fill a line with letters, so there's no needless space left for justified formatting

- put two spaces behind the last word of the line and they won't be highlighted by LanguageTool, neither be shown by the LibreOffice "Non-printing Characters" setting.


Please have a look at the attached ODT example file. It also contains a screenshot of it's own rendering on my computer.
Comment 3 Buovjaga 2016-09-28 18:48:15 UTC Comment hidden (obsolete)
Comment 4 Moritz Duge 2016-09-28 19:51:17 UTC
@Buovjaga

You looked at the wrong line. The missing highlighting is at the end of the first line. After the words:
"For example here  and here  and here  "
So after the third "here" are two spaces, but they are not being highlighted.

The line you marked was intentionally written in a way in which the bug doesn't appear.

Please have a closer look at my last message, describing the exact behavior of the bug.
Comment 5 Buovjaga 2016-09-28 19:57:57 UTC
Apologies. That is what I get for testing while too tired.

I repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 7cf444454c0c27e2f6d764164ea880b87163f45a
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 27th 2016
Comment 6 Xisco Faulí 2017-09-29 08:49:05 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 13:51:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2021-12-03 04:20:37 UTC
Dear kolAflash,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug